# -*- coding: utf-8 -*-
from setuphelpers import *

# Defining variables
bin_name_string = "EZCastPro_Win%s.exe"
silent_args = "/S  -var:Reboot=No"
app_uninstallkey = "{EAC16524-B32D-4264-BE6A-E37B51AA3978}"


def install():
    # Initializing variables
    package_version = control.version.split("-", 1)[0]
    bin_name = bin_name_string % package_version

    # Installing the package
    print("Installing: %s" % bin_name)
    install_exe_if_needed(bin_name, silentflags=silent_args, key=app_uninstallkey, min_version=package_version)

    # Avoiding the usage by WAPT of the app built-in Uninstallstring
    uninstallkey.remove(app_uninstallkey)


def uninstall():
    # Uninstalling the package
    run(r'"%s" %s' % (makepath(install_location(app_uninstallkey), "Uninstall.exe"), silent_args))


def session_setup():
    print("Disabling: auto-update-check")
    # registry_set(HKEY_CURRENT_USER, r'SOFTWARE\OpenShell\OpenShell\Settings', 'Update', 0, type=REG_DWORD)
